Package com.arms.egovframework.javaservice.treeframework.interceptor

## Class RouteTableInterceptor

- java.lang.Object
- - org.hibernate.EmptyInterceptor
  - - com.arms.egovframework.javaservice.treeframework.interceptor.RouteTableInterceptor

- All Implemented Interfaces:
    `java.io.Serializable`, `org.hibernate.Interceptor`

      public class RouteTableInterceptor
      extends org.hibernate.EmptyInterceptor

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.hibernate.EmptyInterceptor

      `INSTANCE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RouteTableInterceptor()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `onPrepareStatement​(java.lang.String sql)` |
    `static java.lang.String` | `setReplaceTableName​(javax.servlet.http.HttpServletRequest request, java.lang.String tableName)` |
    `void` | `setSession​(org.hibernate.Session session)` |

    - ### Methods inherited from class org.hibernate.EmptyInterceptor

      `afterTransactionBegin, afterTransactionCompletion, beforeTransactionCompletion, findDirty, getEntity, getEntityName, instantiate, isTransient, onCollectionRecreate, onCollectionRemove, onCollectionUpdate, onDelete, onFlushDirty, onLoad, onSave, postFlush, preFlush`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RouteTableInterceptor

          public RouteTableInterceptor()

  - ### Method Detail

    - #### setSession

          public void setSession​(org.hibernate.Session session)

    - #### onPrepareStatement

          public java.lang.String onPrepareStatement​(java.lang.String sql)

      Specified by:
        `onPrepareStatement` in interface `org.hibernate.Interceptor`
      Overrides:
        `onPrepareStatement` in class `org.hibernate.EmptyInterceptor`

    - #### setReplaceTableName

          public static java.lang.String setReplaceTableName​(javax.servlet.http.HttpServletRequest request,
                                                             java.lang.String tableName)
                                                      throws java.lang.Exception

      Throws:
        `java.lang.Exception`